com.ihr.xbrl.util.zip

## Class TaxonomyCatalogFileSystemView

- java.lang.Object
- - javax.swing.filechooser.FileSystemView
  - - com.ihr.xbrl.util.zip.TaxonomyCatalogFileSystemView

-     public class TaxonomyCatalogFileSystemView
      extends javax.swing.filechooser.FileSystemView

  The Class TaxonomyCatalogFileSystemView.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaxonomyCatalogFileSystemView(TaxonomyPackageURIResolver.TaxonomyPackage tp)` Instantiates a new taxonomy catalog file system view.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.File` | `createFileObject(java.io.File dir, java.lang.String filename)`
    `java.io.File` | `createNewFolder(java.io.File containingDir)`
    `java.io.File` | `getChild(java.io.File dir, java.lang.String filename)`
    `java.io.File` | `getDefaultDirectory()`
    `java.io.File[]` | `getFiles(java.io.File dir, boolean useFileHiding)`
    `java.io.File` | `getHomeDirectory()`
    `java.io.File` | `getParentDirectory(java.io.File dir)`
    `java.io.File[]` | `getRoots()`
    `java.lang.String` | `getSystemDisplayName(java.io.File f)`
    `boolean` | `isFileSystem(java.io.File f)`
    `boolean` | `isFileSystemRoot(java.io.File dir)`
    `boolean` | `isFloppyDrive(java.io.File dir)`
    `boolean` | `isRoot(java.io.File f)`
    `java.lang.Boolean` | `isTraversable(java.io.File f)`

    - ### Methods inherited from class javax.swing.filechooser.FileSystemView

      `createFileObject, getFileSystemView, getSystemIcon, getSystemTypeDescription, isComputerNode, isDrive, isHiddenFile, isParent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaxonomyCatalogFileSystemView

          public TaxonomyCatalogFileSystemView(TaxonomyPackageURIResolver.TaxonomyPackage tp)

      Instantiates a new taxonomy catalog file system view.
      Parameters:
        `tp` - the tp

  - ### Method Detail

    - #### createNewFolder

          public java.io.File createNewFolder(java.io.File containingDir)
                                       throws java.io.IOException

      Specified by:
        `createNewFolder` in class `javax.swing.filechooser.FileSystemView`
      Throws:
        `java.io.IOException`

    - #### getRoots

          public java.io.File[] getRoots()

      Overrides:
        `getRoots` in class `javax.swing.filechooser.FileSystemView`

    - #### getHomeDirectory

          public java.io.File getHomeDirectory()

      Overrides:
        `getHomeDirectory` in class `javax.swing.filechooser.FileSystemView`

    - #### getDefaultDirectory

          public java.io.File getDefaultDirectory()

      Overrides:
        `getDefaultDirectory` in class `javax.swing.filechooser.FileSystemView`

    - #### isFileSystem

          public boolean isFileSystem(java.io.File f)

      Overrides:
        `isFileSystem` in class `javax.swing.filechooser.FileSystemView`

    - #### isFileSystemRoot

          public boolean isFileSystemRoot(java.io.File dir)

      Overrides:
        `isFileSystemRoot` in class `javax.swing.filechooser.FileSystemView`

    - #### isFloppyDrive

          public boolean isFloppyDrive(java.io.File dir)

      Overrides:
        `isFloppyDrive` in class `javax.swing.filechooser.FileSystemView`

    - #### isRoot

          public boolean isRoot(java.io.File f)

      Overrides:
        `isRoot` in class `javax.swing.filechooser.FileSystemView`

    - #### createFileObject

          public java.io.File createFileObject(java.io.File dir,
                                      java.lang.String filename)

      Overrides:
        `createFileObject` in class `javax.swing.filechooser.FileSystemView`

    - #### getChild

          public java.io.File getChild(java.io.File dir,
                              java.lang.String filename)

      Overrides:
        `getChild` in class `javax.swing.filechooser.FileSystemView`

    - #### getSystemDisplayName

          public java.lang.String getSystemDisplayName(java.io.File f)

      Overrides:
        `getSystemDisplayName` in class `javax.swing.filechooser.FileSystemView`

    - #### getParentDirectory

          public java.io.File getParentDirectory(java.io.File dir)

      Overrides:
        `getParentDirectory` in class `javax.swing.filechooser.FileSystemView`

    - #### getFiles

          public java.io.File[] getFiles(java.io.File dir,
                                boolean useFileHiding)

      Overrides:
        `getFiles` in class `javax.swing.filechooser.FileSystemView`

    - #### isTraversable

          public java.lang.Boolean isTraversable(java.io.File f)

      Overrides:
        `isTraversable` in class `javax.swing.filechooser.FileSystemView`